package com.huimv.receive.controller;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.api.R;
import com.huimv.receive.common.utils.Result;
import com.huimv.receive.common.utils.ResultCode;
import com.huimv.receive.common.utils.ResultUtil;
import com.huimv.receive.entity.BaseLocation;
import com.huimv.receive.entity.Exist;
import com.huimv.receive.service.IBaseLocationService;
import com.huimv.receive.service.IExistService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author author
 * @since 2023-07-21
 */
@RestController
@RequestMapping("/base-location")
@CrossOrigin
public class BaseLocationController {
    @Autowired
    private IBaseLocationService baseLocationService;

    @PostMapping("/listAll")
    public Result listAll(@RequestBody Map<String, String> paramsMap) {
        String farmId = paramsMap.get("farmId");
        return new Result(ResultCode.SUCCESS,baseLocationService.list(new QueryWrapper<BaseLocation>().lambda()
                .like(BaseLocation::getFarmIds,farmId)));
    }

    @PostMapping("/listLuggageLocation")
    public Result listLuggageLocation(@RequestBody Map<String, String> paramsMap) {
        String farmId = paramsMap.get("farmId");
        return new Result(ResultCode.SUCCESS, baseLocationService.list(new QueryWrapper<BaseLocation>()
                .eq("is_luggage", 1).like("farmId", farmId)));
    }

    @PostMapping("/add")
    public Result add(HttpServletRequest httpServletRequest, @RequestBody BaseLocation baseLocation){
        return baseLocationService.add(httpServletRequest,baseLocation);
    }

    @PostMapping("/delete")
    public Result delete(HttpServletRequest httpServletRequest, @RequestBody Map<String, String> paramsMap){
        return baseLocationService.delete(httpServletRequest,paramsMap);
    }
}
